com.hazelcast.monitor

## Interface MemberState

- All Superinterfaces:
    com.hazelcast.internal.management.JsonSerializable

      public interface MemberState
      extends com.hazelcast.internal.management.JsonSerializable

  Local statistics for a Hazelcast member.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()`
    `Collection<com.hazelcast.internal.management.dto.ClientEndPointDTO>` | `getClients()`
    `com.hazelcast.internal.management.dto.ClusterHotRestartStatusDTO` | `getClusterHotRestartStatus()`
    `String` | `getCpMemberUuid()` Returns the local CP member's UUID if this Hazelcast member is part of the CP subsystem, returns null otherwise.
    `HotRestartState` | `getHotRestartState()`
    `LocalCacheStats` | `getLocalCacheStats(String cacheName)`
    `LocalExecutorStats` | `getLocalExecutorStats(String executorName)`
    `LocalFlakeIdGeneratorStats` | `getLocalFlakeIdGeneratorStats(String flakeIdName)`
    `LocalMapStats` | `getLocalMapStats(String mapName)`
    `LocalMemoryStats` | `getLocalMemoryStats()`
    `LocalMultiMapStats` | `getLocalMultiMapStats(String mapName)`
    `LocalPNCounterStats` | `getLocalPNCounterStats(String pnCounterName)`
    `LocalQueueStats` | `getLocalQueueStats(String queueName)`
    `LocalReplicatedMapStats` | `getLocalReplicatedMapStats(String replicatedMapName)`
    `LocalTopicStats` | `getLocalTopicStats(String topicName)`
    `LocalWanStats` | `getLocalWanStats(String schemeName)`
    `MemberPartitionState` | `getMemberPartitionState()`
    `com.hazelcast.internal.management.dto.MXBeansDTO` | `getMXBeans()`
    `NodeState` | `getNodeState()`
    `LocalOperationStats` | `getOperationStats()` Returns the local operation statistics.
    `LocalTopicStats` | `getReliableLocalTopicStats(String reliableTopicName)`
    `Map<String,Long>` | `getRuntimeProps()`
    `String` | `getUuid()` Returns the UUID of this member.
    `WanSyncState` | `getWanSyncState()`

    - ### Methods inherited from interface com.hazelcast.internal.management.JsonSerializable

      `fromJson, toJson`

- - ### Method Detail

    - #### getAddress

          String getAddress()

    - #### getUuid

          String getUuid()

      Returns the UUID of this member.
      Returns:
        the UUID of this member.

    - #### getCpMemberUuid

          String getCpMemberUuid()

      Returns the local CP member's UUID if this Hazelcast member is part of the CP subsystem, returns null otherwise.
      Returns:
        local CP member's UUID if available, null otherwise

    - #### getRuntimeProps

          Map<String,Long> getRuntimeProps()

    - #### getLocalMapStats

          LocalMapStats getLocalMapStats(String mapName)

    - #### getLocalMultiMapStats

          LocalMultiMapStats getLocalMultiMapStats(String mapName)

    - #### getLocalQueueStats

          LocalQueueStats getLocalQueueStats(String queueName)

    - #### getLocalTopicStats

          LocalTopicStats getLocalTopicStats(String topicName)

    - #### getReliableLocalTopicStats

          LocalTopicStats getReliableLocalTopicStats(String reliableTopicName)

    - #### getLocalPNCounterStats

          LocalPNCounterStats getLocalPNCounterStats(String pnCounterName)

    - #### getLocalReplicatedMapStats

          LocalReplicatedMapStats getLocalReplicatedMapStats(String replicatedMapName)

    - #### getLocalExecutorStats

          LocalExecutorStats getLocalExecutorStats(String executorName)

    - #### getLocalCacheStats

          LocalCacheStats getLocalCacheStats(String cacheName)

    - #### getLocalWanStats

          LocalWanStats getLocalWanStats(String schemeName)

    - #### getLocalFlakeIdGeneratorStats

          LocalFlakeIdGeneratorStats getLocalFlakeIdGeneratorStats(String flakeIdName)

    - #### getClients

          Collection<com.hazelcast.internal.management.dto.ClientEndPointDTO> getClients()

    - #### getMXBeans

          com.hazelcast.internal.management.dto.MXBeansDTO getMXBeans()

    - #### getLocalMemoryStats

          LocalMemoryStats getLocalMemoryStats()

    - #### getOperationStats

          LocalOperationStats getOperationStats()

      Returns the local operation statistics.
      Returns:
        LocalOperationStats statistics

    - #### getMemberPartitionState

          MemberPartitionState getMemberPartitionState()

    - #### getNodeState

          NodeState getNodeState()

    - #### getHotRestartState

          HotRestartState getHotRestartState()

    - #### getClusterHotRestartStatus

          com.hazelcast.internal.management.dto.ClusterHotRestartStatusDTO getClusterHotRestartStatus()

    - #### getWanSyncState

          WanSyncState getWanSyncState()

Copyright © 2020. All rights reserved.